All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class ContentSubscriberFilter

    com.sas.services.information.metadata.ContentSubscriberFilter

All Implemented Interfaces:
  FilterInterface, java.io.Serializable

    public class ContentSubscriberFilter

Filter used to query publishing framework package subscribers.

Since:
  1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.Filter
`_component`

Fields inherited from interface com.sas.services.information.FilterInterface
`BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

Constructor Summary
`ContentSubscriberFilter()` Constructs a package subscriber filter.
`ContentSubscriberFilter(java.lang.String key, int relation, java.lang.String value)` Constructs a package subscriber filter using the specified search relation.

Method Summary
`java.lang.String` | `getDAVBasicSearchString()` Get the filter in the form of a DAV basicsearch XML request.
`java.lang.String` | `getDAVSQLString()` Get the filter in the form of a DAV SQL request.
`java.lang.String` | `getLDAPType()`
`java.lang.String` | `getOMRType()` Get the OMR type.
`java.lang.String` | `getXMLSelectString()` Get the filter in the form of an XMLSelect statement.
`void` | `setIsQueryingAssociations(boolean isQueryingAssociations)` Specifies whether or not the the query should also query associated objects.
`void` | `setPerson(PersonInterface person)`

Methods inherited from class com.sas.services.information.Filter
`addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVScope, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

Constructor Detail

### ContentSubscriberFilter

    public ContentSubscriberFilter()

  Constructs a package subscriber filter.

### ContentSubscriberFilter

    public ContentSubscriberFilter(java.lang.String key,
                                   int relation,
                                   java.lang.String value)

  Constructs a package subscriber filter using the specified search relation.

  Parameters:
    `key` - Key
    `relation` - Search relation
    `value` - Value

Method Detail

### setPerson

    public void setPerson(PersonInterface person)

### getOMRType

    public java.lang.String getOMRType()

  Description copied from class: `Filter`
  Get the OMR type. Return the type by default. subclasses may override this to return a different string. This method is mostly for use by the OMIRepository class.

  Specified by:
    `getOMRType` in interface `FilterInterface`
  Overrides:
    `getOMRType` in class `Filter`
  Returns:
    The OMR specific type to search for.

### getLDAPType

    public java.lang.String getLDAPType()

### setIsQueryingAssociations

    public final void setIsQueryingAssociations(boolean isQueryingAssociations)

  Specifies whether or not the the query should also query associated objects.

  Parameters:
    `isQueryingAssociations` - `true` if associated objects should be queried or `false` if only attributes are desired.

### getXMLSelectString

    public java.lang.String getXMLSelectString()

  Description copied from class: `Filter`
  Get the filter in the form of an XMLSelect statement.

  Specified by:
    `getXMLSelectString` in interface `FilterInterface`
  Overrides:
    `getXMLSelectString` in class `Filter`
  Returns:
    An XMLSelect string to pass to OMR.

### getDAVBasicSearchString

    public java.lang.String getDAVBasicSearchString()

  Description copied from class: `Filter`
  Get the filter in the form of a DAV basicsearch XML request. This is described in the WebDAV SEARCH proposal.

  Specified by:
    `getDAVBasicSearchString` in interface `FilterInterface`
  Overrides:
    `getDAVBasicSearchString` in class `Filter`
  Returns:
    An XML basicsearch request to pass to a DAV server.

### getDAVSQLString

    public java.lang.String getDAVSQLString()

  Description copied from class: `Filter`
  Get the filter in the form of a DAV SQL request. This is aimed at the Microsoft servers - Internet Information Server, SharePoint Portal Server and Exchange server.

  Specified by:
    `getDAVSQLString` in interface `FilterInterface`
  Overrides:
    `getDAVSQLString` in class `Filter`
  Returns:
    An XML DAV SQL request to pass to a DAV server.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.